%define name	perl-XML-Mini
%define version	1.2.8
%define release	3mdk

Summary:	XML-Mini module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	XML-Mini-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel >= 5.8.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

%description
XML-Mini module for perl

%prep

%setup -q -n XML-Mini-%{version} 
# perl path hack
find . -type f | xargs %{__perl} -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor </dev/null
%{__make}
%{__make} test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%makeinstall_std

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%{perl_vendorlib}/XML/Mini.pm
%{perl_vendorlib}/XML/Mini/*.pm
%{perl_vendorlib}/XML/Mini/Element/*.pm
%{_mandir}/man3*/*

%changelog
* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.2.8-3mdk
- rebuilt, fix deps
- use macros

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.8-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 1.2.8-1mdk
- 1.2.8.

* Tue Feb 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.2.7-1mdk
- initial cooker contrib.
